Package org.linphone.core

# Interface ConferenceSchedulerListener

All Known Implementing Classes:
  `ConferenceSchedulerListenerStub`

public interface ConferenceSchedulerListener
Callbacks of `ConferenceScheduler` object.

## Method Summary

Modifier and Type
Method
Description
`void`
`onInvitationsSent(ConferenceScheduler conferenceScheduler, Address[] failedInvitations)`
Callback for notifying when conference invitations have been sent.
`void`
`onStateChanged(ConferenceScheduler conferenceScheduler, ConferenceScheduler.State state)`
Callback for notifying when a registration state has changed for the conference
scheduler.

## Method Details

### onStateChanged

void onStateChanged(@NonNull ConferenceScheduler conferenceScheduler, ConferenceScheduler.State state)
Callback for notifying when a registration state has changed for the conference
scheduler.

Parameters:
  `conferenceScheduler` - LinphoneConferenceScheduler object whose state has
  changed.
  `state` - The current LinphoneConferenceSchedulerState.

### onInvitationsSent

void onInvitationsSent(@NonNull ConferenceScheduler conferenceScheduler, @Nullable Address[] failedInvitations)
Callback for notifying when conference invitations have been sent.
In case of error for some participants, their addresses will be given as
parameter.

Parameters:
  `conferenceScheduler` - `ConferenceScheduler` object whose state has
  changed.
  `failedInvitations` - a list of addresses for which invitation couldn't be
  sent.